summaryrefslogtreecommitdiffstats
path: root/system/fcron/fcron.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/fcron/fcron.SlackBuild')
-rw-r--r--system/fcron/fcron.SlackBuild108
1 files changed, 108 insertions, 0 deletions
diff --git a/system/fcron/fcron.SlackBuild b/system/fcron/fcron.SlackBuild
new file mode 100644
index 0000000000..3caab1d06b
--- /dev/null
+++ b/system/fcron/fcron.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware build script for fcron
+
+# Written by Richard Narron (richard@aaazen.com)
+
+PRGNAM=fcron
+VERSION=${VERSION:-3.2.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Select fcron's default user/group
+FCRON_USER=${FCRON_USER:-fcron}
+FCRON_GROUP=${FCRON_GROUP:-fcron}
+
+if ! getent group $FCRON_GROUP >/dev/null; then
+ echo "Error, the group $FCRON_GROUP does not exist."
+ echo "Create the group like this:"
+ echo " groupadd -g 289 $FCRON_GROUP"
+ exit 1
+fi
+if ! getent passwd $FCRON_USER >/dev/null; then
+ echo "Error, the userid $FCRON_USER does not exist."
+ echo "Create the user like this:"
+ echo " useradd -u 289 -g $FCRON_GROUP -d /var/spool/fcron -M -s /bin/false $FCRON_USER"
+ exit 1
+fi
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686 -Wall"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686 -Wall"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC -Wall"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2 -Wall"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.src.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./configure \
+ --with-username=$FCRON_USER \
+ --with-groupname=$FCRON_GROUP \
+ --with-boot-install=no \
+ --with-cflags="$SLKCFLAGS" \
+ --with-docdir=/usr/doc \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --prefix=/usr \
+ --sysconfdir=/etc
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+install -D -m 0644 $CWD/rc.fcron $PKG/etc/rc.d/rc.fcron.new
+
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $CWD/README $PKG/usr/doc/$PRGNAM-$VERSION/README.slackware
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mv $PKG/etc/fcron.conf $PKG/etc/fcron.conf.new
+mv $PKG/etc/fcron.deny $PKG/etc/fcron.deny.new
+mv $PKG/etc/fcron.allow $PKG/etc/fcron.allow.new
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}